import App from './App'
import Vue from 'vue'
import store from './store'
// main.js，注意要在use方法之后执行
import uView from '@/uni_modules/uview-ui'
Vue.use(uView)



// 如此配置即可
// uni.$u.config.unit = 'rpx'

Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
  store,
  ...App
})

// http 拦截器，将此部分放在 new Vue() 和 app.$mount() 之间，才能 App.vue 中正常使用
import request from '@/utils/request.js';
Vue.use(request, app);

// http 接口 API 抽离，免于写 url 或者一些固定的参数
import httpApi from '@/utils/api.js';
import { showLoading } from './utils/loading'
Vue.use(httpApi, app);

import hideNav from "@/utils/hideNav.js";
Vue.use(hideNav, app);

Vue.prototype.$getDicts = function (dictType, customFlag = true) {
  return store.dispatch('dict/getDicts', { dictType, customFlag })
}

// 引入共用的方法
import common from "@/utils/common.js";
Vue.use(common);

import globalMinxins from "@/mixins";
Vue.mixin(globalMinxins);

app.$mount(); 
